package com.spring.impl;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.spring.pojo.Driver;
import com.spring.pojo.Driver2;

public class AppMain {

	@SuppressWarnings("resource")
	private static void autowireMode(String filename) {
		ApplicationContext ac = new ClassPathXmlApplicationContext(filename);

		if (filename.equalsIgnoreCase("autowire_constructor.xml")) {
			Driver2 driver2 = ac.getBean("mydriver", Driver2.class);
			System.out.println("Details are= " + driver2.toString());
		} else {
			Driver driver = ac.getBean("mydriver", Driver.class);
			System.out.println("Details are= " + driver.toString());
		}
	}

	public static void main(String[] args) {

		int choice = Menu.displayMenu();

		switch (choice) {
		case 1:
			System.out.println("'Autowire - no' selected");
			autowireMode("autowire_default.xml");
			break;
		case 2:
			System.out.println("'Autowire - byType' selected");
			autowireMode("autowire_byType.xml");
			break;
		case 3:
			System.out.println("'Autowire - byName' selected");
			autowireMode("autowire_byName.xml");
			break;
		case 4:
			System.out.println("'Autowire - constructor' selected");
			autowireMode("autowire_constructor.xml");
			break;
		default:
			System.err.println("Invalid choice.");
		}
	}
}